import Konva from 'konva';
import { ForwardRefExoticComponent, PropsWithoutRef, RefAttributes } from 'react';
import { KonvaNodeComponent } from 'react-konva';
export declare function createPortalContainer<KonvaNode extends Konva.Node, KonvaProps extends Konva.NodeConfig, KonvaComponent extends KonvaNodeComponent<KonvaNode, KonvaProps>>(Component: KonvaComponent, auditName: string): ForwardRefExoticComponent<PropsWithoutRef<KonvaProps> & RefAttributes<KonvaNode>>;
export default createPortalContainer;
