import React, { PropsWithChildren } from 'react';
import type { PortalStageContext } from './types';
export declare const StageContext: React.Context<PortalStageContext | null>;
export declare function useStageContext(): PortalStageContext | null;
declare function Provider({ mount, unmount, update, children, addManager, removeManager, }: PropsWithChildren<PortalStageContext>): JSX.Element;
export default Provider;
